# class Rinda::TupleBag::TupleBin

### Public Class Methods

new() click to toggle source

    # File lib/rinda/tuplespace.rb, line 294
    def initialize
      @bin = []
    end

### Public Instance Methods

add(tuple) click to toggle source

    # File lib/rinda/tuplespace.rb, line 298
    def add(tuple)
      @bin.push(tuple)
    end

delete(tuple) click to toggle source

    # File lib/rinda/tuplespace.rb, line 302
    def delete(tuple)
      idx = @bin.rindex(tuple)
      @bin.delete_at(idx) if idx
    end

find() { |x| ... } click to toggle source

    # File lib/rinda/tuplespace.rb, line 307
    def find
      @bin.reverse_each do |x|
        return x if yield(x)
      end
      nil
    end